com.lowagie.text

## Class ZapfDingbatsList

- java.lang.Object
- - com.lowagie.text.List
  - - com.lowagie.text.ZapfDingbatsList

- All Implemented Interfaces:
    Element, TextElementArray

      public class ZapfDingbatsList
      extends List

  A special-version of `LIST` which use zapfdingbats-letters.
  Author:
    Michael Niedermair and Bruno Lowagie
  See Also:
    `List`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `zn` char-number in zapfdingbats

    - ### Fields inherited from class com.lowagie.text.List

      `alignindent, ALPHABETICAL, autoindent, first, indentationLeft, indentationRight, lettered, list, lowercase, LOWERCASE, numbered, NUMERICAL, ORDERED, postSymbol, preSymbol, symbol, symbolIndent, UNORDERED, UPPERCASE`

    - ### Fields inherited from interface com.lowagie.text.Element

      `ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, HEADER, IMGRAW, IMGTEMPLATE, JBIG2, JPEG, JPEG2000, KEYWORDS, LIST, LISTITEM, MARKED, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE, YMARK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZapfDingbatsList(int zn)` Creates a ZapfDingbatsList
    `ZapfDingbatsList(int zn, int symbolIndent)` Creates a ZapfDingbatsList

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(java.lang.Object o)` Adds an `Object` to the `List`.
    `int` | `getCharNumber()` get the char-number
    `void` | `setCharNumber(int zn)` set the char-number

    - ### Methods inherited from class com.lowagie.text.List

      `getChunks, getFirst, getIndentationLeft, getIndentationRight, getItems, getPostSymbol, getPreSymbol, getSymbol, getSymbolIndent, getTotalLeading, isAlignindent, isAutoindent, isContent, isEmpty, isLettered, isLowercase, isNestable, isNumbered, normalizeIndentation, process, setAlignindent, setAutoindent, setFirst, setIndentationLeft, setIndentationRight, setLettered, setListSymbol, setListSymbol, setLowercase, setNumbered, setPostSymbol, setPreSymbol, setSymbolIndent, size, type`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.lowagie.text.Element

      `toString`

- - ### Field Detail

    - #### zn

          protected int zn

      char-number in zapfdingbats

  - ### Constructor Detail

    - #### ZapfDingbatsList

          public ZapfDingbatsList(int zn)

      Creates a ZapfDingbatsList
      Parameters:
        `zn` - a char-number

    - #### ZapfDingbatsList

          public ZapfDingbatsList(int zn,
                          int symbolIndent)

      Creates a ZapfDingbatsList
      Parameters:
        `zn` - a char-number
        `symbolIndent` - indent

  - ### Method Detail

    - #### setCharNumber

          public void setCharNumber(int zn)

      set the char-number
      Parameters:
        `zn` - a char-number

    - #### getCharNumber

          public int getCharNumber()

      get the char-number
      Returns:
        char-number

    - #### add

          public boolean add(java.lang.Object o)

      Adds an `Object` to the `List`.
      Specified by:
        `add` in interface `TextElementArray`
      Overrides:
        `add` in class `List`
      Parameters:
        `o` - the object to add.
      Returns:
        true if adding the object succeeded